<!--
 
function dEGuc(c,p_x,p_y,lx,b_right)
{
var factor=lx/100;
var yAxe=Math.round(50*factor);
var x1=Math.round(80*factor);var y1=0*factor;var x2=Math.round(55*factor);var y2=Math.round(25*factor);
var x3=Math.round(47*factor);var y3=Math.round(17*factor);var x4=Math.round(60*factor);var y4=Math.round(5*factor);
var x5=Math.round(22*factor);var y5=y4;
if(b_right==false)
{
x1=lx-x1;x2=lx-x2;x3=lx-x3;x4=lx-x4;x5=lx-x5;
}
c.beginPath()
c.moveTo(p_x+x1,p_y+yAxe-y1);c.lineTo(p_x+x2,p_y+yAxe-y2);c.lineTo(p_x+x3,p_y+yAxe-y3);c.lineTo(p_x+x4,p_y+yAxe-y4);c.lineTo(p_x+x5,p_y+yAxe-y5);
c.lineTo(p_x+x5,p_y+yAxe+y5);c.lineTo(p_x+x4,p_y+yAxe+y4);
c.lineTo(p_x+x3,p_y+yAxe+y3);c.lineTo(p_x+x2,p_y+yAxe+y2);c.lineTo(p_x+x1,p_y+yAxe+y1);
c.fill()
}
function MTLff(c,x,y,lx,size,epais)
{
x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);c.fillRect(x,y+(size-epais)/2,size,epais);c.fillRect(x+(size-epais)/2,y,epais,size);
}
function jvlBq(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);var x2=9;
c.beginPath();c.moveTo(x+x2,y);c.lineTo(x+x2+6,y+7);c.lineTo(x+x2,y+14);c.fill();
var grad=c.createLinearGradient(x,y,x+8,y);
var cQaCo=new RGBColor(col)
cQaCo.a=0
grad.addColorStop(1,col);grad.addColorStop(0,cQaCo.toRGB());
c.fillStyle=grad;
c.beginPath();c.rect(x,y,8,14);c.fill()
c.fillStyle=old_fill
}
function VEfsf(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;
x=Math.round(x+(lx-size)/2);
y=Math.round(y+(lx-size)/2);
c.fillStyle=col;
c.beginPath();
c.rect(x,y,size,size);
c.fill()
c.fillStyle=old_fill
}
function cddAe(name,gmqcV,WhJYw)
{
var n=gmqcV.indexOf("%")
if(n>-1)
{
gmqcV=wa_evaluate(gmqcV.replace("%","/100"))
return Math.round(gmqcV*WhJYw)
}
gmqcV=parseFloat(gmqcV)
return Math.round(gmqcV)
}
function BngKx(EDPmf,omYvD,JmNhn)
{
var x=cddAe("x",EDPmf.x,omYvD)
var y=cddAe("y",EDPmf.y,JmNhn)
if(EDPmf.x.indexOf("%")==-1)omYvD=omYvD-x
if(EDPmf.y.indexOf("%")==-1)JmNhn=JmNhn-y 

var lx=cddAe("lx",EDPmf.lx,omYvD)
var ly=cddAe("ly",EDPmf.ly,JmNhn)
return new Rect(x,y,lx,ly)
}
function WA_change_tool_button(mGNep,XHRXQ,over)
{
var lYsKV=clLsW(mGNep)
if(lYsKV&&lYsKV.OTLPb)
{
var iJNTA=lYsKV.OTLPb[XHRXQ]
if(iJNTA)
{
iJNTA.GjSuu=over
iJNTA.draw()
}
}
}
function WA_toolbar_button(id,lx,ly,type,col,shadow)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
c.clearRect(0,0,lx,ly) 
var current_col=col;
c.fillStyle=current_col;
if(type=="<")
{
dEGuc(c,0,0,lx,false)
}
if(type==">")
{
dEGuc(c,0,0,lx,true)
}
if(type=="down")
{
c.rotate(-Math.PI/2);c.translate(-lx,0);
dEGuc(c,0,0,lx,false)
c.translate(lx,0);c.rotate(Math.PI/2);
}
if(type=="up")
{
c.rotate(Math.PI/2);c.translate(0,-ly);
dEGuc(c,0,0,lx,false);
c.translate(0,ly);c.rotate(-Math.PI/2);
}
if(type=="+")
{
MTLff(c,0,0,lx,12,4)
}
if(type=="diapo")
{
jvlBq(c,0,0,lx,current_col)
}
if(type=="stop")
{
VEfsf(c,0,0,lx,current_col)
}
}
nLQbZ.prototype=new Tween();
nLQbZ.prototype.constructor=Tween;
nLQbZ.superclass=Tween.prototype;
function nLQbZ(obj,AgtYf,dXZKP,CkfMl,rtuMo)
{
this.targetObject=obj;
this.init(new Object(),'a',AgtYf,dXZKP,CkfMl,rtuMo);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var rnOVs=this.targetObject;
v=Math.round(v*100)/100
rnOVs.setOpacity(v/100);
}
}
function onMouseOnPreviewComment(mGNep,RbguD,RaJQS)
{
var lYsKV=clLsW(mGNep)
var MHpav=lYsKV.BThlL_preview_obj 
var old=lYsKV.VFJjZ
lYsKV.VFJjZ=RbguD;
MHpav.TKchK=RbguD
if(lYsKV.VFJjZ)
lYsKV.qZjQP=-1;

if(RaJQS)
wa_timeout(Delegate.create(MHpav,MHpav.cGLuD),200);
else
wa_timeout(Delegate.create(MHpav,MHpav.KToEj),200);
}
CTGjn.prototype=new Tween();
CTGjn.prototype.constructor=Tween;
CTGjn.superclass=Tween.prototype;
function CTGjn(obj,AgtYf,dXZKP,CkfMl,rtuMo)
{
this.targetObject=obj;
this.init(new Object(),'a',AgtYf,dXZKP,CkfMl,rtuMo);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var MHpav=this.targetObject;
MHpav.QgpPF=v
MHpav.QQQqY()
}
this.onMotionFinished=function(evt)
{
var MHpav=this.targetObject;
if(MHpav.iftGQ==false)
{
MHpav.VNnfH.setVisible(false)
html_SetVisibility(MHpav.Tjbrk,false)
}
MHpav.setOverflow(MHpav.TKchK)
}
}
function TEQfa(mGNep,RRWle)
{
this.SPpSv=mGNep
this.RRWle=RRWle
this.Tjbrk=this.RRWle+"comment-text-div"
this.TKchK=false;
this.iftGQ=false;
this.QgpPF=0;
this.toHtml=function()
{
var iNMWd=""
this.VNnfH=new WA_GraphicElement(this.RRWle+"-graphic-comment-bg",500,false)
this.VNnfH.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',['rgba(0,0,0,0.6)'],this.shadow(),0,this.opacity())
}
iNMWd+=this.VNnfH.toHtml() 
iNMWd+="<div id='"+this.Tjbrk+"' ";
iNMWd+="onmouseover=\"javascript:onMouseOnPreviewComment('"+this.SPpSv+"',true)\" ";
iNMWd+="onmouseout=\"javascript:onMouseOnPreviewComment('"+this.SPpSv+"',false)\" ";
iNMWd+=" style=\"font-family:Arial;font-size:13px;color:#ffffff;margin:2px;text-align:center;"
iNMWd+="overflow:auto;visibility:hidden;"
iNMWd+="position:absolute;"
iNMWd+="z-index:5250;"
iNMWd+="\">";
iNMWd+="</div>";
return iNMWd
}
this.XLKoP=function()
{
this.VNnfH.registerDynamicCanvas();
}
this.lYebg=function(IMMgl,pAXqQ,omYvD,JmNhn)
{
this.cgYwD=new Rect(IMMgl,pAXqQ,omYvD,JmNhn)
this.XJbUf(IMMgl,pAXqQ,omYvD,JmNhn)
}
this.XJbUf=function(IMMgl,pAXqQ,omYvD,JmNhn)
{
if(JmNhn<=0)
{
this.VNnfH.setVisible(false)
html_SetVisibility(this.Tjbrk,false)
return;
}
this.VNnfH.setRect(IMMgl,pAXqQ,omYvD,JmNhn)
html_SetGeometry(this.Tjbrk,IMMgl,pAXqQ,omYvD,JmNhn)
}
this.setOverflow=function(ptDUo)
{
var rnOVs=html_getLayer(this.Tjbrk)
var OlmYo=((ptDUo)?"auto":"hidden")
rnOVs.style.overflow=OlmYo 
}
this.dMGjZ=function()
{
this.UEHvf=true
wa_timeout(Delegate.create(this,this.invet),300);
}
this.invet=function()
{
if(this.UEHvf!=true)return;
this.UEHvf=false
this.AhPGa("chargement en cours...")
}
this.AhPGa=function(iNMWd)
{
this.RaoRQ=iNMWd
this.SeTul(iNMWd)
}
this.uLvmA=function(iNMWd)
{
this.UEHvf=false
this.OOFbM=0;
this.iftGQ=true
this.SeTul(iNMWd)
}
this.SeTul=function(iNMWd)
{
this.RaoRQ=iNMWd
var EDPmf=this.cgYwD
if(!EDPmf)return;
var rnOVs=html_getLayer(this.Tjbrk)
rnOVs.style.overflow="hidden"
this.XJbUf(EDPmf.x,EDPmf.y+EDPmf.height-1,EDPmf.width,1)
html_writeContent(this.Tjbrk,this.RaoRQ)
if(isMSIE())
{
WA_exec_delayedCallback(this,this.bWtYf)
}
else
{
this.bWtYf()
}
}
this.bWtYf=function()
{
var EDPmf=this.cgYwD
var rnOVs=html_getLayer(this.Tjbrk)
this.OOFbM=rnOVs.scrollHeight+4;
this.OOFbM=Math.min(this.OOFbM,EDPmf.height*0.8);
this.QgpPF=0
this.cGLuD()
}
this.QQQqY=function()
{
var iNMWd=this.RaoRQ;
var EDPmf=this.cgYwD
var rnOVs=html_getLayer(this.Tjbrk)
var SBNZr=this.QgpPF
var JmNhn=SBNZr
this.XJbUf(EDPmf.x,EDPmf.y+EDPmf.height-JmNhn,EDPmf.width,JmNhn)
WA_exec_delayedCallback(this,this.JVwXp)
}
this.cGLuD=function()
{
this.ALJtl(true)
}
this.KToEj=function()
{
this.ALJtl(false)
}
this.ALJtl=function(WadRD)
{
var EDPmf=this.cgYwD
if(this.IQHWt)
{
this.IQHWt.stop()
this.IQHWt=false;
}
var WlOhk=Math.min(EDPmf.height*0.2,this.OOFbM);
WlOhk=Math.min(40,WlOhk);
if((WlOhk<20)&&(this.OOFbM>WlOhk))
{
this.iftGQ=false
}
if(this.TKchK)WlOhk=this.OOFbM
var HtxOH=this.QgpPF;
var abtlu=WlOhk;
if(this.iftGQ==false)
{
HtxOH=this.QgpPF;
abtlu=0;
}
if(WadRD)
{
this.setOverflow(false)
}
if(this.TKchK!=true)
{
var rnOVs=html_getLayer(this.Tjbrk)
rnOVs.scrollTop=0
}
this.IQHWt=new CTGjn(this,Tween.strongEaseOut,HtxOH,abtlu,0.5)
this.IQHWt.start()
}
this.JVwXp=function(ptDUo)
{
var iftGQ=this.iftGQ
if(ptDUo==false)
{
this.iftGQ=false;
iftGQ=false;
}
this.VNnfH.setVisible(iftGQ)
html_SetVisibility(this.Tjbrk,iftGQ)
}
}
function WA_photoAlbumActionThumb(mGNep,XHRXQ,wxIZE)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.vKejU()==false)return 
var IOGsZ=lYsKV.fQUnY;
var AbUGo_img=document.getElementById(IOGsZ)
if(XHRXQ==-1) XHRXQ=0;
var HCeDl=scTHC(mGNep)[XHRXQ]
var jYJir=lYsKV.OYqNP()
var RqDOO=jYJir.border_size 
if(wxIZE!=true)
if(lYsKV.cQdfO==XHRXQ)
{
return;
}
if(lYsKV.oYPxe) return;
lYsKV.oYPxe=true
var WlOhk_size=new Size(lYsKV.xEEiv_preview.width-2*RqDOO,lYsKV.xEEiv_preview.height-2*RqDOO)
var WlOhk_reso=lYsKV.qImhC_layout.max_img_resolution
var src_folder=Aamhd(mGNep)
var WhJYw=new Size(HCeDl.size.w,HCeDl.size.h)
WhJYw.scale(WlOhk_size)
if(WlOhk_reso>0)
{
var WlOhk_size_album=new Size(WlOhk_reso,WlOhk_reso)
WhJYw.scale(WlOhk_size_album)
}
var aQTbJ=new Image();
if(isMSIE())
{
aQTbJ=document.getElementById(lYsKV.FqFYw) 
aQTbJ.width=WhJYw.width
aQTbJ.height=WhJYw.height
}
aQTbJ.jbDbX=0.2
aQTbJ.huaQl=0.1
aQTbJ.uvKqd_img=XHRXQ
aQTbJ.AgUms=HCeDl
aQTbJ.BThlL_preview_obj=lYsKV.BThlL_preview_obj
aQTbJ.frPqU=lYsKV.frPqU
aQTbJ.ibfIe=Tween.strongEaseOut
aQTbJ.AbUGo_img=AbUGo_img
aQTbJ.fnAsX=document.getElementById(lYsKV.frPqU.divId())
aQTbJ.lYsKV=lYsKV 
aQTbJ.kOPAJ=WhJYw;
aQTbJ.loaded=false;
aQTbJ.onload=function()
{
Ervro(this,this.AbUGo_img)
}
aQTbJ.onerror=function()
{
ocFOF(this,false)
}
aQTbJ.onabort=function()
{
ocFOF(this,false)
}
aQTbJ.src=src_folder+"/"+HCeDl.th+"?v="+HCeDl.mod;

lYsKV.BThlL_preview_obj.dMGjZ()
}
function Ervro(aQTbJ_obj,AbUGo_img)
{
if(isMobileBrowser())
{
var lYsKV=aQTbJ_obj.lYsKV
lYsKV.cQdfO=aQTbJ_obj.uvKqd_img
aQTbJ_obj.frPqU.setOpacity(1);
html_SetOpacity(aQTbJ_obj.AbUGo_img,1)
QfgBh(aQTbJ_obj,aQTbJ_obj.AbUGo_img)
ocFOF(aQTbJ_obj,true)
return;
}
var aRPOv=new nLQbZ(aQTbJ_obj.frPqU,aQTbJ_obj.ibfIe,100,0,aQTbJ_obj.jbDbX);
aRPOv.aQTbJ_obj=aQTbJ_obj
aRPOv.start()
var EvAPE=new OpacityTween(AbUGo_img,aQTbJ_obj.ibfIe,100,0,aQTbJ_obj.jbDbX);
EvAPE.aQTbJ_obj=aQTbJ_obj
EvAPE.AbUGo_img=AbUGo_img
EvAPE.onMotionFinished=LaGqU
EvAPE.start()
}
function LaGqU()
{
var aQTbJ_obj=this.aQTbJ_obj 
var XHRXQ=aQTbJ_obj.uvKqd_img
var lYsKV=aQTbJ_obj.lYsKV
lYsKV.cQdfO=XHRXQ 
var rtuMo=0.1
QfgBh(this.aQTbJ_obj,this.AbUGo_img)
var WQUwG=new nLQbZ(aQTbJ_obj.frPqU,aQTbJ_obj.ibfIe,0,100,aQTbJ_obj.huaQl);
WQUwG.aQTbJ_obj=aQTbJ_obj
WQUwG.start()
var gpRsK=new OpacityTween(this.AbUGo_img,this.aQTbJ_obj.ibfIe,0,100,this.aQTbJ_obj.huaQl);
gpRsK.aQTbJ_obj=this.aQTbJ_obj
gpRsK.AbUGo_img=this.AbUGo_img
gpRsK.onMotionFinished=tEnRb
gpRsK.start() 
}
function tEnRb()
{
ocFOF(this.aQTbJ_obj,true)
}
function ocFOF(aQTbJ_obj,XkLxE)
{
var XHRXQ=aQTbJ_obj.uvKqd_img
var lYsKV=aQTbJ_obj.lYsKV
lYsKV.oYPxe=false;
var XHRXQ=lYsKV.cQdfO 
{
lYsKV.PnajI=Math.floor(XHRXQ/(lYsKV.YBKWY_cols*lYsKV.YBKWY_rows))
vlTYr(lYsKV.mGNep)
}
lYsKV.cruaq()
lYsKV.gVFkP()
}
function QfgBh(aQTbJ_obj,AbUGo_img)
{
var lYsKV=aQTbJ_obj.lYsKV
var WhJYw=aQTbJ_obj.kOPAJ
lYsKV.PCfGb.width=WhJYw.width
lYsKV.PCfGb.height=WhJYw.height
AbUGo_img.width=WhJYw.width;
AbUGo_img.height=WhJYw.height;
AbUGo_img.src=aQTbJ_obj.src;
var jYJir=lYsKV.OYqNP()
var tmCXW=new RGBColor(jYJir.border_col)
var RqDOO=jYJir.border_size
if(tmCXW.a==0) RqDOO=0;
var TheEL=lYsKV.xEEiv_preview
var upFEO=jYJir.shadow;
var swatV=0;
if(upFEO)swatV=6
var x0=Math.round((TheEL.width-(WhJYw.width+2*RqDOO))/2)
var y0=Math.round((TheEL.height-(WhJYw.height+2*RqDOO))/2)
lYsKV.frPqU.setRect(x0,y0,WhJYw.width+2*RqDOO,WhJYw.height+2*RqDOO)
lYsKV.BThlL_preview_obj.lYebg(x0+RqDOO,y0+RqDOO,WhJYw.width,WhJYw.height);
var hidCV=lYsKV.qImhC_layout
var BThlL=""
var url=aQTbJ_obj.AgUms.url
if(hidCV.disp_comment)
{
if(hidCV.disp_comment_img_number)
BThlL+="<b>"+(aQTbJ_obj.uvKqd_img+1)+"/"+lYsKV.YBKWY_images+"</b>"
if(hidCV.disp_comment_img_fn)
{
if(BThlL.length>0)BThlL+="<br>"
BThlL+="("+aQTbJ_obj.AgUms.fn+")"
}
if(aQTbJ_obj.AgUms.comment.length>0)
{
if(BThlL.length>0)BThlL+="<br>"
BThlL+=aQTbJ_obj.AgUms.comment
}
if(url.length>0)
{
if(BThlL.length>0)BThlL+="<br>"
BThlL+="<br><a href='"+url+"' target=_blank "
BThlL+="style='color:#0000ff;' "
var daqww=lYsKV.BThlL_preview_obj.SPpSv
BThlL+="onmouseover=\"javascript:_onMouseOnPreviewComment('"+daqww+"',true)\" ";
BThlL+=">";
BThlL+="@ link"
BThlL+="</a><br><br>"
}
}
var hGAkG=document.getElementById(lYsKV.hGAkG_preview_id)
html_SetPosition(hGAkG,RqDOO+x0,RqDOO+y0)
if(BThlL.length>0)
{
lYsKV.BThlL_preview_obj.uLvmA(BThlL)
}
else
{
lYsKV.BThlL_preview_obj.JVwXp(false);
}
}
function WA_photoAlbumChangeImageSize(AbUGo_img,WhJYw,MKOoq)
{
var dec=3
AbUGo_img.width=WhJYw
AbUGo_img.height=WhJYw
AbUGo_img.style.borderWidth=MKOoq
}
function WA_photoAlbumThumbOver(AbUGo,mGNep,XHRXQ)
{
var lYsKV=clLsW(mGNep)
var HCeDl_def=scTHC(mGNep)[XHRXQ]
var IOGsZ=lYsKV.WFiAX(XHRXQ)
var AbUGo_img=document.getElementById(IOGsZ)
AbUGo.lYsKV=lYsKV;
AbUGo.AbUGo_img=AbUGo_img
var dec=2
WA_photoAlbumChangeImageSize(AbUGo_img,lYsKV.rKcBS-2*dec,lYsKV.DbQVI_thumbnail+dec)
}
function WA_photoAlbumThumbOut(AbUGo)
{
var AbUGo_img=AbUGo.AbUGo_img;
var lYsKV=AbUGo.lYsKV
WA_photoAlbumChangeImageSize(AbUGo_img,lYsKV.rKcBS,lYsKV.DbQVI_thumbnail)
}
function ZZImN(mGNep,LocQY)
{
this.mGNep=mGNep;
this.nCZYs=25;
this.Mvpwv=LocQY;
this.fAMdT="photo-album-toolbar-"+this.mGNep
this.KYjMZ=("photo-album-scroll-content"+this.mGNep)
this.xEEiv_selector_slider=null;
this.bShKb=null;
this.xEEiv_preview=null;
this.YBKWY_cols=0;
this.YBKWY_rows=0;
this.oUJVm=new Array()
this.PnajI=0;
this.YBKWY_pages=1
this.xBAqo=true;
this.HExdK=false
this.FrgLS=40
this.PCfGb=new Size(0,0)
this.HBJiv=false;
this.qZjQP=-1;
this.cQdfO=-1;
this.YBKWY_images=this.Mvpwv.def.length
this.AQfJY=false;
this.oiUtS=new Rect(0,0,100,100)
this.qImhC_layout=WuxRF(this.mGNep)
var qImhC=this.qImhC_layout
if(qImhC.diaporama&&(qImhC.diaporama.startup))this.AQfJY=true;
this.GJSZY=false;
this.qImhC_previewZone=false;
this.LjUFw=0;
this.PULFo=function()
{
if(this==this.Mvpwv.album_object) return true;
return false;
}
this.RRWle=function()
{
return this.mGNep+this.LjUFw
}
this.obnvD=function()
{
var qImhC=WuxRF(mGNep)
var gEMAq=this.hTtja();
this.HExdK=gEMAq.nav_has_horz_flow
if(this.HExdK==false)
{
this.oUJVm.push("up")
this.oUJVm.push("down")
}
else
{
this.oUJVm.push("<")
this.oUJVm.push(">")
}
if(this.TTVbg())
{
this.oUJVm.push("+")
}
else
if(this.fVPss())
{
this.oUJVm.push("-")
}
if(qImhC.diaporama)
{
this.oUJVm.push("diapo")
}
if((gEMAq.nav_but_orient==5)||(gEMAq.nav_but_orient==3))
{
this.xBAqo=false;
}
var canvas_bg=""
this.HJdDD=new WA_GraphicElement(this.RRWle()+"-graphic-selector-bg",50,gEMAq.bg_shadow)
this.HJdDD.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,gEMAq.bg_border_col,[gEMAq.bg_col],gEMAq.bg_shadow,0)
}
canvas_bg+=this.HJdDD.toHtml() 
this.VNnfH_toolbar=new WA_GraphicElement(this.RRWle()+"-graphic-toolbar-bg",50,gEMAq.bg_shadow)
this.VNnfH_toolbar.xBAqo=this.xBAqo 
this.VNnfH_toolbar.draw=function()
{
var KbFOc_toolbar=false;
if(this.xBAqo)
{
KbFOc_toolbar=bwbDl(0,0,0,this.rect().height/2,gEMAq.toolbar_bg_col1,gEMAq.toolbar_bg_col2)
}
else
{
KbFOc_toolbar=bwbDl(0,0,this.rect().width/2,0,gEMAq.toolbar_bg_col1,gEMAq.toolbar_bg_col2)
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,gEMAq.toolbar_border_col,[KbFOc_toolbar],gEMAq.toolbar_shadow,0)
}
canvas_bg+=this.VNnfH_toolbar.toHtml() 
this.OTLPb=new Array()
this.OTLPb_by_action=new Array()
for(var n=0;n<this.oUJVm.length;n++)
{
var n_action=this.oUJVm[n]
var iJNTA=new WA_GraphicElement(this.RRWle()+"-graphic-toolbar-but"+n,70,false)
iJNTA.n_action=n_action
iJNTA.lYsKV=this
iJNTA.GjSuu=false
iJNTA.nCZYs=this.nCZYs
iJNTA.blqHj=gEMAq.toolbar_but_col1
iJNTA.qFVCv=gEMAq.toolbar_but_col2
iJNTA.draw=function()
{
var IiFbu=this.nCZYs
var hgeQP=this.n_action
if(hgeQP=="diapo")
{
if(this.lYsKV.xWcfi())hgeQP="stop"
}
var YTuvx=(this.GjSuu)?this.qFVCv:this.blqHj
WA_toolbar_button(this.canvasId(),IiFbu,IiFbu,hgeQP,YTuvx,true)
}
this.OTLPb.push(iJNTA)
var NpJRn_action=n_action
if(NpJRn_action=="up")NpJRn_action="<"
if(NpJRn_action=="down")NpJRn_action=">"
this.OTLPb_by_action[NpJRn_action]=iJNTA
canvas_bg+="<div id='"+iJNTA.divId()+"-href' onclick=\"javascript:WA_photoAlbumAction('"+this.mGNep+"',"+n+")\" ";
canvas_bg+="style=\""
canvas_bg+="position:absolute;"
canvas_bg+="z-index:1000;"
canvas_bg+="cursor:pointer;"
canvas_bg+="\" "
canvas_bg+="onmouseover=\"";
canvas_bg+="WA_change_tool_button('"+this.mGNep+"',"+n+",true)";
canvas_bg+="\" ";
canvas_bg+="onmouseout=\"";
canvas_bg+="WA_change_tool_button('"+this.mGNep+"',"+n+",false)";
canvas_bg+="\" ";
canvas_bg+=">";
canvas_bg+="</div>";
canvas_bg+=iJNTA.toHtml()
}
canvas_bg+="<div id='"+this.KYjMZ+"' style=\"";
canvas_bg+="position:absolute;z-index:100;";
canvas_bg+="overflow:hidden;";
canvas_bg+="\"></div>";
return canvas_bg;
}
this.fiVLA=function()
{
var gEMAq=this.hTtja();
var r1_rect=this.xEEiv_selector_slider;
var iNMWd="" 
var min_size=Math.min(r1_rect.width,r1_rect.height)
var size_thumb=gEMAq.th_size.size;
if(gEMAq.th_size.percent) size_thumb=Math.round(size_thumb*(min_size)/100);
var image_spacing=Math.max(0,Math.round((gEMAq.th_spacing/100)*size_thumb))
image_spacing=Math.round(image_spacing/2)*2
var nb_cols_real=r1_rect.width/(size_thumb+image_spacing);
var nb_cols=Math.floor(nb_cols_real);
this.YBKWY_cols=Math.max(1,nb_cols);
var nb_rows_real=r1_rect.height/(size_thumb+image_spacing);
var nb_rows=Math.floor(nb_rows_real);
this.YBKWY_rows=Math.max(1,nb_rows);
var size_border_thumbnail=Math.max(1,Math.round((size_thumb)*0.03));
size_thumb-=2*size_border_thumbnail
var nb_images=this.YBKWY_images
var nb_pages=(nb_images/(this.YBKWY_cols*this.YBKWY_rows));
if(nb_pages>Math.floor(nb_pages)) nb_pages=Math.floor(nb_pages)+1;
this.YBKWY_pages=nb_pages
this.rKcBS=size_thumb;
this.xrMLw=image_spacing;
this.DbQVI_thumbnail=size_border_thumbnail
var n_image=0;
var nb_item_x=this.YBKWY_cols*nb_pages
var nb_item_y=this.YBKWY_rows;
var nb_item_per_page=this.YBKWY_cols*this.YBKWY_rows 
if(this.HExdK==false)
{
nb_item_x=this.YBKWY_cols
nb_item_y=this.YBKWY_rows*nb_pages;
}
iNMWd+="<table border=0 cellpadding=0 cellspacing=0 width=100% height=100% >";
iNMWd+="<tr>"
iNMWd+="<td "
if((this.HExdK==false)||(this.YBKWY_pages==1))
{
iNMWd+="align=center"
}
iNMWd+=">" 
iNMWd+="<table border=0 cellpadding="+(image_spacing/2)+" cellspacing=0  width=10px>";
for(var pAXqQ=0;pAXqQ<nb_item_y;pAXqQ++)
{
iNMWd+="<tr>" 
for(var IMMgl=0;IMMgl<nb_item_x;IMMgl++)
{
iNMWd+="<td>"
var ind_img=0;
var nx_0=Math.floor(IMMgl/this.YBKWY_cols)
var diff0=IMMgl-nx_0*this.YBKWY_cols;
ind_img=nx_0*nb_item_per_page+(pAXqQ*this.YBKWY_cols)+diff0
if(ind_img<nb_images)
{
var HCeDl=this.Mvpwv.def[ind_img]
var VNAwe=this.Mvpwv.src_folder+"/th_"+HCeDl.th+"?v="+HCeDl.mod_th
iNMWd+="<a href=\"";
if(this.vKejU())
{
iNMWd+="javascript:WA_photoAlbumActionThumb('"+mGNep+"',"+ind_img+")"
}
else
{
iNMWd+="javascript:WA_photoAlbumIncrease('"+mGNep+"',"+ind_img+")"
}
iNMWd+="\" "
iNMWd+="onmouseover=\"WA_photoAlbumThumbOver(this,'"+mGNep+"',"+ind_img+")\" "
iNMWd+="onmouseout=\"WA_photoAlbumThumbOut(this)\" "
iNMWd+=">"
iNMWd+="<img id='"+this.WFiAX(ind_img)+"' width="+size_thumb+"px height="+size_thumb+"px src='"+VNAwe+"' ";
iNMWd+="style='";
if(size_border_thumbnail>0)
{
iNMWd+="border-color:"+gEMAq.selector_img_border_color+";";
iNMWd+="border-width:"+size_border_thumbnail+"px;border-style:solid;";
}
iNMWd+="' ";
iNMWd+=">"
iNMWd+="</a>"
n_image++;
}
iNMWd+="</td>"
}
if(this.xBAqo)
if(this.YBKWY_pages>1)
{
for(var IMMgl=0;IMMgl<this.YBKWY_cols;IMMgl++)
{
var CLpiY=size_thumb+2*size_border_thumbnail
iNMWd+="<td>"
iNMWd+="<div  style='width:"+(CLpiY)+"px;height:"+CLpiY+"px;'></div>";
iNMWd+="</td>"
}
}
iNMWd+="</tr>"
}
if(this.xBAqo==false)
if(this.YBKWY_pages>1)
{
for(var pAXqQ=0;pAXqQ<this.YBKWY_rows;pAXqQ++)
{
iNMWd+="<tr>"
var CLpiY=size_thumb+2*size_border_thumbnail
iNMWd+="<td colspan="+this.YBKWY_cols+">"
iNMWd+="<div  style='width:"+(CLpiY)+"px;height:"+CLpiY+"px;'></div>";
iNMWd+="</td>"
iNMWd+="</tr>"
}
}
iNMWd+="</table>" 
iNMWd+="</td>"
iNMWd+="</tr>"
iNMWd+="</table>"
return iNMWd;
}
this.WFiAX=function(XHRXQ)
{
return this.RRWle()+"-th-img"+XHRXQ
}
this.VHvqY=function()
{
var jYJir=this.OYqNP();
if(jYJir==false) return;
var HCeDl=this.Mvpwv.def[0]
this.fQUnY="photo-album-preview-img-"+this.RRWle()
this.FqFYw=this.fQUnY+"-cache"
this.hGAkG_preview_id="photo-album-preview-img-div"+this.RRWle()
this.Owwnf="photo-album-preview-zone"+this.RRWle()
var iNMWd=""
iNMWd+="<div  id='"+this.Owwnf+"' style=\"";
iNMWd+="position:absolute;z-index:500;";
iNMWd+="\" ";
iNMWd+="onclick=\"WA_clickAlbumPreview('"+this.mGNep+"')\" ";
iNMWd+="onmousemove=\"javascript:WA_mousemoveAlbumPreview(event,'"+this.mGNep+"')\" ";
iNMWd+="onmouseout=\"javascript:WA_mouseoutAlbumPreview(event,'"+this.mGNep+"')\" ";
iNMWd+=">";
iNMWd+="<div style='position:absolute;z-index:450;left:0px;top:0px;";
iNMWd+="width:100%;height:100%;background-color:#000000;";
iNMWd+="filter:alpha(opacity=0);-moz-opacity:0;opacity:0;' "
iNMWd+="></div>"
this.BThlL_preview_obj=new TEQfa(this.mGNep,this.RRWle());
iNMWd+=this.BThlL_preview_obj.toHtml() 
this.frPqU=new WA_GraphicElement(this.RRWle()+"-graphic-img-bg",50,jYJir.shadow)
this.frPqU.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',[jYJir.border_col],this.shadow(),0,this.opacity())
}
iNMWd+=this.frPqU.toHtml() 
iNMWd+="<div id='"+this.hGAkG_preview_id+"' style=\"";
iNMWd+="position:absolute;z-index:100;";
iNMWd+="left:0px;";
iNMWd+="top:0px;";
iNMWd+="\" ";
iNMWd+=">";
iNMWd+="<img  id='"+this.fQUnY+"' border=0 >";
if(isMSIE())
{
iNMWd+="<img style='position:absolute;left:0px;top:0px;visibility:hidden;' id='"+this.FqFYw+"'>"
}
else
{
iNMWd+="<img style='position:absolute;left:0px;top:0px;display:none;' id='"+this.FqFYw+"'>"
}
iNMWd+="</div>";
this.bEhnH=new WA_GraphicElement(this.RRWle()+"-graphic-arrow0",300,true)
this.bEhnH.setImage("intuisphere.png",new Rect(97,49,46,47))
this.bEhnH.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var omYvD=Math.round(this.rect().width*0.8);
var JmNhn=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-omYvD)/2,6+(this.rect().height-JmNhn)/2,omYvD,JmNhn,this.img_clip(),this.opacity(),false)
}
this.MZnmB=new WA_GraphicElement(this.RRWle()+"-graphic-arrow1",300,true)
this.MZnmB.setImage("intuisphere.png",new Rect(2,49,46,47))
this.MZnmB.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var omYvD=Math.round(this.rect().width*0.8);
var JmNhn=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-omYvD)/2,6+(this.rect().height-JmNhn)/2,omYvD,JmNhn,this.img_clip(),this.opacity(),false)
}
iNMWd+=this.bEhnH.toHtml()
iNMWd+=this.MZnmB.toHtml() 
this.jimFB=new WA_GraphicElement(this.RRWle()+"-graphic-cursor-zoom",400,false)
this.jimFB.setSize(30,30)
this.jimFB.setImage("intuisphere.png",new Rect(0,0,48,48))
this.jimFB.draw=function()
{
WA_drawImage(this.canvasId(),this.img_src(),0,0,this.rect().width,this.rect().height,this.img_clip())
}
iNMWd+=this.jimFB.toHtml() 
iNMWd+="</div>";
return iNMWd;
}
this.XLKoP=function()
{
if(this.rcfnB())
{
this.HJdDD.registerDynamicCanvas();
this.VNnfH_toolbar.registerDynamicCanvas();
for(var n=0;n<this.OTLPb.length;n++)
{
var iJNTA=this.OTLPb[n]
iJNTA.registerDynamicCanvas();
}
}
if(this.vKejU())
{
this.BThlL_preview_obj.XLKoP()
this.frPqU.registerDynamicCanvas();
this.bEhnH.registerDynamicCanvas();
this.MZnmB.registerDynamicCanvas();
this.jimFB.registerDynamicCanvas();
this.jimFB.setVisible(false)
}
if(this.VNnfH_global)
this.VNnfH_global.registerDynamicCanvas();
this.ZbMii()
}
this.xWcfi=function()
{
return(this.ZhVwB)?true:false;
}
this.bXvgx=function()
{
return(this.PnajI>0)
}
this.rlUDV=function()
{
return(this.PnajI<this.YBKWY_pages-1)
}
this.omTaZ=function()
{
return(this.cQdfO>0);
}
this.dqBwX=function()
{
return(this.cQdfO<this.Mvpwv.def.length-1);
}
this.nNJQq=function()
{
if(this.rcfnB())
{
var gEMAq=this.hTtja() 
var omYvD=this.oiUtS.width
var JmNhn=this.oiUtS.height
var r0=gEMAq.rect
var r0_rect=BngKx(r0,omYvD,JmNhn)
r0_rect.x+=this.oiUtS.x
r0_rect.y+=this.oiUtS.y
var r1_rect=r0_rect.clone() 
var EMnwS_toolbar=r0_rect.clone()
var YBKWY_buttons=this.oUJVm.length 
var EeMiB=5
var mnuon=this.nCZYs+EeMiB*2
var LwraQ=(YBKWY_buttons*this.nCZYs)
if(gEMAq.nav_but_orient==1)
{
r1_rect.y+=mnuon;
r1_rect.height-=mnuon;
EMnwS_toolbar.x=EMnwS_toolbar.x+(EMnwS_toolbar.width-LwraQ)/2;
EMnwS_toolbar.width=LwraQ
EMnwS_toolbar.y+=EeMiB;
EMnwS_toolbar.height=this.nCZYs;
}
if(gEMAq.nav_but_orient==5)
{
r1_rect.width-=mnuon;
EMnwS_toolbar.y=EMnwS_toolbar.y+(EMnwS_toolbar.height-LwraQ)/2;
EMnwS_toolbar.height=LwraQ
EMnwS_toolbar.x+=r1_rect.width+EeMiB;
EMnwS_toolbar.width=this.nCZYs;
}
if(gEMAq.nav_but_orient==7)
{
r1_rect.height-=mnuon;
EMnwS_toolbar.x=EMnwS_toolbar.x+(EMnwS_toolbar.width-LwraQ)/2;
EMnwS_toolbar.width=LwraQ
EMnwS_toolbar.y+=r1_rect.height+EeMiB;
EMnwS_toolbar.height=this.nCZYs;
}
if(gEMAq.nav_but_orient==3)
{
r1_rect.width-=mnuon;
r1_rect.x+=mnuon;
EMnwS_toolbar.y=EMnwS_toolbar.y+(EMnwS_toolbar.height-LwraQ)/2;
EMnwS_toolbar.height=LwraQ
EMnwS_toolbar.x+=EeMiB;
EMnwS_toolbar.width=this.nCZYs;
}
this.xEEiv_selector_slider=r1_rect
this.bShKb=EMnwS_toolbar 
var pMdZh=this.xEEiv_selector_slider;
this.HJdDD.setRect(pMdZh.x,pMdZh.y,pMdZh.width,pMdZh.height)
html_SetRect(this.KYjMZ,r1_rect) 
var EMnwS=this.bShKb
this.VNnfH_toolbar.setRect(EMnwS.x,EMnwS.y,EMnwS.width,EMnwS.height)
var lx_button=this.nCZYs
var ly_button=lx_button
var FaDXj=EMnwS_toolbar.x
var pAXqQ_but0=EMnwS_toolbar.y
for(var n=0;n<this.OTLPb.length;n++)
{
var iJNTA=this.OTLPb[n]
var uVXKm=FaDXj
var pAXqQ_but=pAXqQ_but0
if(this.xBAqo)
{
uVXKm+=n*lx_button;
}
else
{
pAXqQ_but+=n*ly_button;
}
iJNTA.setRect(uVXKm,pAXqQ_but,lx_button,ly_button)
html_SetGeometry(iJNTA.divId()+"-href",uVXKm,pAXqQ_but,lx_button,ly_button)
}
var AbUGo_selector=document.getElementById(this.KYjMZ)
if(AbUGo_selector)
{
AbUGo_selector.innerHTML=this.fiVLA();
}
this.gVFkP()
}
}
this.TTVbg=function()
{
if((this.LjUFw==1)&&(this.rcfnB()==true)) return true;
if((this.LjUFw==0)&&(this.qImhC_layout.has_full_page_config)) return true;
return false;
}
this.fVPss=function()
{
if(this.LjUFw==1) return true;
if(this.LjUFw==2) return true;
return false;
}
this.euTtP=function()
{
return this.AQfJY;
}
this.hTtja=function()
{
return this.GJSZY;
}
this.OYqNP=function()
{
return this.qImhC_previewZone;
}
this.rcfnB=function()
{
if(this.hTtja()) return true;
return false;
}
this.vKejU=function()
{
if(this.OYqNP()) return true;
return false;
}
this.gVFkP=function()
{
if(this.rcfnB()==false)return
var XYvSq=this.OTLPb_by_action["<"]
XYvSq.setVisible(this.bXvgx())
var Wecpa=this.OTLPb_by_action[">"]
Wecpa.setVisible(this.rlUDV())
}
this.cruaq=function()
{
var jYJir=this.OYqNP();
var omYvD=this.oiUtS.width
var JmNhn=this.oiUtS.height
var pMdZh=jYJir.rect
var pMdZh_rect=BngKx(pMdZh,omYvD,JmNhn)
if(this.LjUFw==2)
{
pMdZh_rect=new Rect(0,0,omYvD,JmNhn)
}
pMdZh_rect.x+=this.oiUtS.x
pMdZh_rect.y+=this.oiUtS.y 


if(this.LjUFw!=0)
if((this.LjUFw==2)||((pMdZh.x=="0%")&&(pMdZh.y=="0%")&&(pMdZh.lx=="100%")&&(pMdZh.ly=="100%")))
{
var dec=8;
pMdZh_rect.x+=dec
pMdZh_rect.y+=dec
pMdZh_rect.width-=2*dec
pMdZh_rect.height-=2*dec 
}
var EMnwS_rect=pMdZh_rect.clone()
this.xEEiv_preview=EMnwS_rect
html_SetRect(this.Owwnf,this.xEEiv_preview)
this.IRrXl()
this.gEaog()
}
this.gAduJ=function()
{
if(this.xWcfi()) return;
if(this.vKejU()==false)return;
var ibfIe=Tween.regularEaseOut
var rtuMo=0.3
if((!this.pigDG)||(this.pigDG.isRunning()==false))
{
if(this.pigDG)this.pigDG.stop()
this.pigDG=new nLQbZ(this.bEhnH,ibfIe,0,100,rtuMo)
this.pigDG.onMotionFinished=this.kUuhH
this.pigDG.m_count=0
this.pigDG.start()
}
if((!this.qnVBp)||(this.qnVBp.isRunning()==false))
{
if(this.qnVBp)this.qnVBp.stop()
this.qnVBp=new nLQbZ(this.MZnmB,ibfIe,0,100,rtuMo)
this.qnVBp.onMotionFinished=this.kUuhH
this.qnVBp.m_count=0
this.qnVBp.start()
}
}
this.kUuhH=function()
{
if(this.m_count>=3)
{
return;
}
this.yoyo()
this.m_count++}
this.IRrXl=function()
{
if(this.PULFo()==false)return;
if(this.vKejU()==false)return
if(isMobileBrowser())return
var nCobD=30
var lYsKV=this;
var NxsKp=lYsKV.bHlkr
var n_pos=lYsKV.qZjQP;
if((n_pos!=-1)&&(lYsKV.HBJiv==false)&&(lYsKV.VFJjZ!=true))
{
var fhGgI=true;
if(n_pos==0)
{
if(lYsKV.omTaZ()==false)fhGgI=false;
lYsKV.jimFB.setImage("intuisphere.png",new Rect(97,49,46,47))
}
else
if(n_pos==1)
{
if(lYsKV.fVPss())
{
lYsKV.jimFB.setImage("intuisphere.png",new Rect(48,0,48,48))
}
else
if(lYsKV.TTVbg())
{
lYsKV.jimFB.setImage("intuisphere.png",new Rect(0,0,48,48))
}
else
{
fhGgI=false;
}
}
else
if(n_pos==2)
{
if(lYsKV.dqBwX()==false)fhGgI=false;
lYsKV.jimFB.setImage("intuisphere.png",new Rect(0,49,46,47))
}
lYsKV.jimFB.setPosition(NxsKp.x,NxsKp.y,nCobD,nCobD);
lYsKV.jimFB.setVisible(fhGgI)
}
else
{
lYsKV.jimFB.setVisible(false)
}
}
this.gEaog=function()
{
if(this.vKejU()==false)return
if((this.xWcfi()==false)&&(this.PCfGb.width>0))
{
var FrgLS=40
var x_arrow0=(this.xEEiv_preview.width-this.PCfGb.width)/2
var x_arrow1=(x_arrow0+this.PCfGb.width-FrgLS)
var y_arrow0=(this.xEEiv_preview.height-this.PCfGb.height)/2+(this.PCfGb.height-FrgLS)/2 
this.bEhnH.setRect(x_arrow0,y_arrow0,FrgLS,FrgLS)
this.MZnmB.setRect(x_arrow1,y_arrow0,FrgLS,FrgLS)
this.bEhnH.setVisible(this.omTaZ())
this.MZnmB.setVisible(this.dqBwX())
}
else
{
this.bEhnH.setVisible(false)
this.MZnmB.setVisible(false)
}
this.bEhnH.setOpacity(0)
this.MZnmB.setOpacity(0)
}
this.ZbMii=function()
{
if(this.vKejU())
{
this.cruaq()
var XHRXQ=this.cQdfO 
WA_photoAlbumActionThumb(this.mGNep,XHRXQ,true)
this.cruaq()
}
this.nNJQq()
if(this.VNnfH_global)
{
this.VNnfH_global.setRect(0,0,this.oiUtS.width,this.oiUtS.height);
}
if(this.wRcwY)
{
html_SetGeometry(this.wRcwY,0,0,this.oiUtS.width,this.oiUtS.height)
}
}
this.wsxqZ=function()
{
if(this.vKejU())
{
WA_photoAlbumActionThumb(this.mGNep,this.cQdfO,true)
}
}
this.SbmGD=function(CDnhJ)
{
HMIcG(this.LjUFw>0)
var iNMWd=""
if(this.rcfnB())
{
iNMWd+=this.obnvD();
}
if(this.vKejU())
{
iNMWd+=this.VHvqY();
};
if((this.LjUFw==1)||(this.LjUFw==2))
{
if(this.qImhC_layout.bg_fullpage_img.length>0)
{
this.wRcwY=this.RRWle()+"-graphic-fullpage-bg";
iNMWd+="<div id='"+this.wRcwY+"' style=\"";
iNMWd+="position:absolute;z-index:0;";
if(this.qImhC_layout.bg_fullpage_img_type==0)
{
iNMWd+="background-image:url('"+this.qImhC_layout.bg_fullpage_img+"');";
iNMWd+="background-repeat: repeat;";
}
iNMWd+="\" ";
iNMWd+=">";
if(this.qImhC_layout.bg_fullpage_img_type==1)
{
iNMWd+="<img src='"+this.qImhC_layout.bg_fullpage_img+"' width=100% height=100% border=0 >";
}
iNMWd+="</div>";
}
else
{
var KbFOc=this.qImhC_layout.bg_fullpage_grad
this.VNnfH_global=new WA_GraphicElement(this.RRWle()+"-graphic-global-bg",0,false)
this.VNnfH_global.KbFOc=KbFOc
this.VNnfH_global.draw=function()
{
var KbFOc=this.KbFOc
var KbFOc_bg=false
if(KbFOc.has_gradient)
{
var omYvD=this.rect().width
var JmNhn=this.rect().height
var xg1=KbFOc.pt1.x*omYvD/100
var yg1=KbFOc.pt1.y*JmNhn/100
var xg2=KbFOc.pt2.x*omYvD/100
var yg2=KbFOc.pt2.y*JmNhn/100
KbFOc_bg=bwbDl(xg1,yg1,xg2,yg2,KbFOc.col1,KbFOc.col2)
}
else
{
KbFOc_bg=KbFOc.col1
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',[KbFOc_bg],false,0,1)
}
iNMWd+=this.VNnfH_global.toHtml();
}
}
var TKcpb=document.getElementById(CDnhJ);
TKcpb.innerHTML=iNMWd
TKcpb.style.display="block"
if(navigator.userAgent.match(/opera/i))
{
wa_timeout("WA_registerAlbum('"+this.mGNep+"') ",0)
}
else
{
WA_registerAlbum(mGNep)
}
if(this.euTtP()==false)
{
this.gAduJ()
}
}
this.Bwcff=function()
{
var pFfmC="wa-dialog-container"
if(this.TTVbg()==false) return;
if(this.LjUFw==0)
if(this.qImhC_layout.plugin_fullscreen_url.length>0)
{
window.open(this.qImhC_layout.plugin_fullscreen_url)
return;
}
this.qZjQP=-1;
this.IRrXl()
var Mvpwv=this.Mvpwv
var xEEiv=new Rect(0,0,getWindowSize().width,getWindowSize().height)
var lYsKV=new ZZImN(mGNep,Mvpwv)
lYsKV.cQdfO=this.cQdfO
if(this.LjUFw==0)
{
lYsKV.LjUFw=1
}
else
if(this.LjUFw==1)
{
lYsKV.LjUFw=2
}
Mvpwv.album_object=lYsKV;
lYsKV.oiUtS.copy(xEEiv)
lYsKV.GJSZY=Mvpwv.layout.selector_fullpage
if(lYsKV.LjUFw==2)
{
lYsKV.GJSZY=false
}
lYsKV.qImhC_previewZone=Mvpwv.layout.preview_fullpage
wa_global_photo_album.fullpage_object=lYsKV
lYsKV.SbmGD(pFfmC)
return lYsKV
}
this.dqZCn=function()
{
if(this.fVPss()==false) return;
this.eCNIB()
var pFfmC="wa-dialog-container"
var Mvpwv=this.Mvpwv
Mvpwv.album_object=Mvpwv.aPdjF;
wa_global_photo_album.fullpage_object=false 
if(this.LjUFw==1)
{
HMIcG(false)
var TKcpb=document.getElementById(pFfmC);
TKcpb.innerHTML=""
TKcpb.style.display="none"
WA_photoAlbumActionThumb(this.mGNep,this.cQdfO,true)
return Mvpwv.aPdjF
}
if(this.LjUFw==2)
{
Mvpwv.album_object.cQdfO=this.cQdfO
return Mvpwv.album_object.Bwcff()
}
}
this.eCNIB=function()
{
if(this.xWcfi())
{
this.AQfJY=false
clearTimeout(this.ZhVwB)
this.ZhVwB=false;
}
}
this.onFullScreenKeydown=function(k)
{
if(k==27)
{
this.dqZCn()
return false;
}
ckBGW(this.mGNep,[k])
return false;
}
}
function sKera(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=true;
if(wa_global_photo_album.fullpage_object)
{
var lYsKV=wa_global_photo_album.fullpage_object
var mGNep=lYsKV.mGNep
var MHpav=lYsKV.BThlL_preview_obj
if(MHpav.TKchK)
{
var rnOVs=html_getLayer(MHpav.Tjbrk)
if(rnOVs)
{
var scrollVal=-(3*delta)
if(isMSIE())scrollVal*=3
rnOVs.scrollTop+=scrollVal
}
}
else
{
if(delta>0) VCDbV(mGNep);
if(delta<0) uFGvk(mGNep);
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function HMIcG(ptDUo)
{
if(ptDUo==false)
{
var ohBPB=window;
if(ohBPB.removeEventListener)
ohBPB.removeEventListener('DOMMouseScroll',sKera,false);
ohBPB.onmousewheel=document.onmousewheel=null;
}
else
{
var ohBPB=window;
if(ohBPB.addEventListener)
ohBPB.addEventListener('DOMMouseScroll',sKera,false);
ohBPB.onmousewheel=document.onmousewheel=sKera;
}
}
function bwbDl(vmchQ,SDSkI,gWsLD,ueASC,CMlMx,OvbEX)
{
var UuLaZ=""
UuLaZ+="(";
UuLaZ+=vmchQ+";"+SDSkI+";"+gWsLD+";"+ueASC+";";
UuLaZ+=CMlMx+";";
UuLaZ+=OvbEX;
UuLaZ+=")";
return UuLaZ;
}
function WA_photoAlbumAction(mGNep,XHRXQ)
{
var lYsKV=clLsW(mGNep)
var iJNTA=lYsKV.OTLPb[XHRXQ]
var n_action=iJNTA.n_action
if((n_action=="<")||(n_action=="up"))
{
lYsKV.PnajI=Math.max(0,lYsKV.PnajI-1)
vlTYr(mGNep)
}
if((n_action==">")||(n_action=="down"))
{
lYsKV.PnajI=Math.min(lYsKV.YBKWY_pages-1,lYsKV.PnajI+1)
vlTYr(mGNep)
}
if(n_action=="diapo")
{
ZcKBU(mGNep)
}
if(n_action=="+")
{
lYsKV.Bwcff()
}
}
function WA_photoAlbumIncrease(mGNep,XHRXQ)
{
var lYsKV=clLsW(mGNep)
lYsKV.cQdfO=XHRXQ
lYsKV.Bwcff()
}
function ZcKBU(mGNep)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.xWcfi()==false)
{
var YBKWY_increase=0;
var OtASO=lYsKV;
while(OtASO.TTVbg())
{
OtASO=OtASO.Bwcff()
YBKWY_increase++}
if(YBKWY_increase>0)
{
OtASO.YBKWY_decrease_view_when_diaporama_stop=YBKWY_increase;
WA_goNextDiaporama(mGNep)
OtASO.gEaog()
return;
}
}
if(lYsKV.xWcfi())
{
UvAGD(mGNep)
}
else
{
WA_goNextDiaporama(mGNep)
}
if(lYsKV.rcfnB())
{
var iJNTA=lYsKV.OTLPb_by_action["diapo"]
iJNTA.draw()
}
}
function UvAGD(mGNep)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.xWcfi())
{
lYsKV.eCNIB()
if(lYsKV.YBKWY_decrease_view_when_diaporama_stop)
{
var OtASO=lYsKV;
for(var n=0;n<lYsKV.YBKWY_decrease_view_when_diaporama_stop;n++)
{
OtASO=OtASO.dqZCn() 
}
return;
}
}
if(lYsKV.rcfnB())
{
var iJNTA=lYsKV.OTLPb_by_action["diapo"]
iJNTA.draw()
}
}
function WA_goNextDiaporama(mGNep)
{
var qImhC=WuxRF(mGNep)
var JqbVG=scTHC(mGNep)
var lYsKV=clLsW(mGNep)
var XHRXQ=(lYsKV.cQdfO+1)%JqbVG.length;
if(qImhC.diaporama.random)
{
XHRXQ=Math.round((JqbVG.length-1)*Math.random());
}
WA_photoAlbumActionThumb(mGNep,XHRXQ)
lYsKV.ZhVwB=wa_timeout("WA_goNextDiaporama('"+mGNep+"')",qImhC.diaporama.time*1000)
}
function TtpOF(mGNep,XHRXQ)
{
var lYsKV=clLsW(mGNep)
if(XHRXQ<0)
{
lYsKV.gAduJ()
return false;
}
if(XHRXQ>lYsKV.YBKWY_images-1)
{
lYsKV.gAduJ()
return false;
}
WA_photoAlbumActionThumb(mGNep,XHRXQ)
return true;
}
function uFGvk(mGNep)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.xWcfi()) return false;
return TtpOF(mGNep,lYsKV.cQdfO+1)
}
function VCDbV(mGNep)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.xWcfi()) return false;
return TtpOF(mGNep,lYsKV.cQdfO-1)
}
function WA_clickAlbumPreview(mGNep)
{
var lYsKV=clLsW(mGNep)
if(lYsKV.euTtP()) return;
if(lYsKV.xWcfi())
{
UvAGD(mGNep)
}
var pcAxS=lYsKV.qZjQP
if(pcAxS!=-1)
{
if(pcAxS==2)uFGvk(mGNep)
if(pcAxS==1)
{
if(lYsKV.fVPss())
{
lYsKV.dqZCn()
}
else
if(lYsKV.TTVbg())
{
lYsKV.Bwcff()
}
}
if(pcAxS==0)VCDbV(mGNep)
}
}
function WA_mouseoutAlbumPreview(e,mGNep)
{
var lYsKV=clLsW(mGNep)
lYsKV.jimFB.setVisible(false)
lYsKV.qZjQP=-1;
}
function WA_mousemoveAlbumPreview(e,mGNep)
{
var posx=0;
var posy=0;
if(!e)  e=window.event;
if(e.pageX||e.pageY){
posx=e.pageX;
posy=e.pageY;
}
else if(e.clientX||e.clientY){
posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;
}
var lYsKV=clLsW(mGNep)
var BZOEt=document.getElementById(lYsKV.jimFB.divId())
var pt=html_findPos(BZOEt.offsetParent)
var x=posx-pt.x+1;
var y=posy-pt.y+1;
var n_pos=-1
var lTMox=false;
var TRPeS=0;
var taBsc=30;
if(lYsKV.VFJjZ!=true)
if(lYsKV.xWcfi()==false)
{
if((x>0)&&(x<lYsKV.xEEiv_preview.width))
if((y>0)&&(y<lYsKV.xEEiv_preview.height))
{
n_pos=1;
if(x<lYsKV.xEEiv_preview.width*0.3)n_pos=0;
if(x>lYsKV.xEEiv_preview.width*(1-0.3))n_pos=2;
}
if((x<TRPeS)||(x>lYsKV.xEEiv_preview.width-TRPeS-taBsc))lTMox=true;
if((y<TRPeS)||(y>lYsKV.xEEiv_preview.height-TRPeS-taBsc))lTMox=true;
}
lYsKV.bHlkr=new Point(x,y);
lYsKV.qZjQP=n_pos;
lYsKV.HBJiv=lTMox;
lYsKV.IRrXl();
}
function vlTYr(mGNep)
{
var lYsKV=clLsW(mGNep)
var AbUGo=document.getElementById(lYsKV.KYjMZ)
if(!AbUGo)return;
var FPkfr;
var debQA=0;
var size_thumb=lYsKV.rKcBS;
var xrMLw=lYsKV.xrMLw;
var OMDdw=0;
var AAHiP=(size_thumb+2*lYsKV.DbQVI_thumbnail+xrMLw);
var xdEGS=lYsKV.YBKWY_cols*lYsKV.YBKWY_rows;
if(lYsKV.HExdK)
{
OMDdw=lYsKV.PnajI*lYsKV.YBKWY_cols*AAHiP
}
else
{
OMDdw=lYsKV.PnajI*lYsKV.YBKWY_rows*AAHiP
}
if(lYsKV.HExdK)
{
FPkfr="scrollLeft"
debQA=AbUGo.scrollLeft
}
else
{
FPkfr="scrollTop"
debQA=AbUGo.scrollTop
}
if(debQA==OMDdw)
{
return;
}
if(lYsKV.m_tween_slider)
{
lYsKV.m_tween_slider.stop()
}
var rtuMo=0.7;
lYsKV.m_tween_slider=new Tween(AbUGo,FPkfr,Tween.strongEaseOut,debQA,OMDdw,rtuMo);
lYsKV.m_tween_slider.onMotionFinished=pHoYK
lYsKV.m_tween_slider.lYsKV=lYsKV
lYsKV.m_tween_slider.start() 
}
function pHoYK()
{
var lYsKV=this.lYsKV
lYsKV.gVFkP()
}
function RkGdK(mGNep)
{
return wa_global_photo_album[mGNep]
}
function clLsW(mGNep)
{
return wa_global_photo_album[mGNep].album_object
}
function scTHC(mGNep)
{
return wa_global_photo_album[mGNep].def
}
function Aamhd(mGNep)
{
return wa_global_photo_album[mGNep].src_folder
}
function WuxRF(mGNep)
{
return wa_global_photo_album[mGNep].layout
}
function kFien(IOXNx)
{
var mGNep=IOXNx[0]
WA_addHandler(mGNep,"mousewheel",cIvaX)
WA_addHandler(mGNep,"keydown",ckBGW)
var pFfmC="photo-album-main-"+mGNep
var Mvpwv=RkGdK(mGNep)
var xEEiv=new Rect()
xEEiv.copy(Mvpwv.size_container) 
var lYsKV=new ZZImN(mGNep,Mvpwv) 
Mvpwv.album_object=lYsKV;
Mvpwv.aPdjF=lYsKV 
lYsKV.oiUtS.copy(xEEiv)
lYsKV.GJSZY=Mvpwv.layout.selector
lYsKV.qImhC_previewZone=Mvpwv.layout.preview
lYsKV.SbmGD(pFfmC) 

var lYsKV=clLsW(mGNep)
var GDCmO=document.wa_global_query_info
if(GDCmO)
{
if(mGNep==GDCmO.m_unid)
{
lYsKV.cQdfO=GDCmO.m_index_item
lYsKV.Bwcff()
return;
}
}
if(lYsKV.euTtP())
{
ZcKBU(mGNep)
return;
}
}
function WA_registerAlbum(mGNep)
{
clLsW(mGNep).XLKoP()
}
function ckBGW(mGNep,IOXNx)
{
var LBWWa=IOXNx[0]
if(LBWWa==37) return VCDbV(mGNep);
if(LBWWa==39) return uFGvk(mGNep);
return true;
}
function cIvaX(mGNep,GAPQg)
{
var AnwbI=GAPQg[0] 
var lYsKV=clLsW(mGNep)
if(lYsKV.BThlL_preview_obj)
{
var MHpav=lYsKV.BThlL_preview_obj
if(MHpav.TKchK)
{
var rnOVs=html_getLayer(MHpav.Tjbrk)
rnOVs.scrollTop+=-(3*AnwbI)
return true;
}
}
if(AnwbI>0)return VCDbV(mGNep);
if(AnwbI<0)return uFGvk(mGNep);
return true;
}
function WA_PhotoAlbum_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
var lYsKV=wa_global_photo_album.fullpage_object
if(wa_global_photo_album.OgfRd)
{
clearTimeout(wa_global_photo_album.OgfRd);
}
var xEEiv=new Rect(0,0,getWindowSize().width,getWindowSize().height)
lYsKV.oiUtS.copy(xEEiv)
lYsKV.ZbMii()
wa_global_photo_album.OgfRd=wa_timeout("WA_PhotoAlbum_delayed_resizeUI()",1000)
}
}
function WA_PhotoAlbum_delayed_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
wa_global_photo_album.OgfRd=false
var lYsKV=wa_global_photo_album.fullpage_object
lYsKV.wsxqZ()
}
}
function WA_loadPhotoAlbums()
{
for(var LBWWa in wa_global_photo_album)
{
var Mvpwv=wa_global_photo_album[LBWWa]
var MEFAD=Translator.m_lang_for_filename
if(MEFAD.length>0)MEFAD="_"+MEFAD;
WA_loadScript(Mvpwv.src_folder+'/photo-album-definition'+MEFAD+'.js?v='+Mvpwv.id_modif,kFien,[LBWWa]);
}
}

-->
